package pl8.extractor;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import pl8.extractor.PL8Extractor.Type;

public class CSVParser {
	
	static List<PL8Entry> parseCSV(String filename) {
		
		List<PL8Entry> entries = new ArrayList<>();
		
		try (BufferedReader br = new BufferedReader(new FileReader(System.getProperty("user.dir")+ filename))) {
			
		    String line;
		    while ((line = br.readLine()) != null) {
		        String[] values = line.split(",");
		        
		        PL8Entry entry = new PL8Entry();
		        entry.filename = values[0];
		        entry.palette = values[1];
		        
		        String t = values[2];
		        if (t.equals("RLE")) {
		        	entry.type = Type.RLE_ENCODED;
		        } else if (t.equals("BMP")) {
		        	entry.type = Type.ORTHOGONAL;
		        } else if (t.equals("ISO")) {
		        	entry.type = Type.ISOMETRIC;
		        } else {
		        	entry.type = Type.UNKNOWN;
		        }
		        
		        entries.add(entry);
		    }
		} catch (FileNotFoundException e) {
			System.err.println("File not found: " + filename);
		} catch (IOException e) {
			System.err.println("An IO error occured: " + e.getMessage());
		}
		
		return entries;
	}
}
