package pl8.extractor;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.RandomAccessFile;

public class MyRandomAccessFile {
	
	private RandomAccessFile raf;
	
	public MyRandomAccessFile(String name, String mode) throws FileNotFoundException {
		raf = new RandomAccessFile(name, mode);
	}

	public MyRandomAccessFile(File file, String mode) throws FileNotFoundException {
		raf = new RandomAccessFile(file, mode);
	}

	public int readInt() throws IOException {
		return (
			raf.readUnsignedByte() |
			raf.readUnsignedByte() << 8 |
			raf.readUnsignedByte() << 16 |
			raf.readUnsignedByte() << 24
		);
	}

	public int readShort() throws IOException {
		return (
			raf.readUnsignedByte() |
			raf.readUnsignedByte() << 8
		);
	}

	public int readByte() throws IOException {
		return raf.readUnsignedByte();
	}

	public void read(byte[] buffer) throws IOException {
		raf.read(buffer);
	}

	public void seek(long pos) throws IOException {
		raf.seek(pos);
	}

	public void close() throws IOException {
		raf.close();
	}
}
