package pl8.extractor;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

public class MyStream {

	private byte[] data;
	private int position;

	public MyStream(String filename) throws IOException {
		Path path = Paths.get(filename);
		data = Files.readAllBytes(path);
	}

	public int readByte() throws IOException {
		return data[position++] & 0xFF ;
	}

	public int readShort() throws IOException {
		return readByte() | readByte() << 8;
	}

	public int readInt() throws IOException {
		return readByte() | readByte() << 8 | readByte() << 16 | readByte() << 24;
	}

	public void read(byte[] buffer) throws IOException {
		System.arraycopy (data, position, buffer, 0, buffer.length);
		position += buffer.length;
	}

	public void seek(int pos) {
		position = pos;
	}

	public void skip(int n) {
		position += n;
	}

	public void close() {
		data = null;
	}
}
